<?php

if ($sel_num_rows > 0 and $_GET['tv'] == '') {
  echo "<div class=\"erro\">Escolha uma TV no menu ao lado.</div>";
} else {
  $nome_tv = 'Imagens';
}
?>
<? 
  if ($_GET['tv'] != '') {
  $selp = mysqli_query($con, "select * from tabela_digital_tv where id = " . $_GET['tv']);
  $resultado = mysqli_fetch_array($selp);
  $nome_tv = 'Imagens - ' . $resultado[0];


?>
<h3><?= $nome_tv ?></h3>
<form method="post" action="recebe.php" enctype="multipart/form-data" style="text-align:center;">
  <input type="hidden" name="tv" value="<?= $_GET['tv'] ?>">
  <label>Selecione a Imagem</label>
  <input type="file" name="arquivo" /><input type="submit" value="Salvar" />
</form>

<div id="resp"></div>

<div style="width:100%;margin:30px 0px 15px;"> 
</div>
<?php
  if ($_GET['tv'] != '') {
    $iterator = new DirectoryIterator('../images/' . $_GET['tv']);
    $path = 'images/' . $_GET['tv'] . '/';
  } else {
    $iterator = new DirectoryIterator('../images');
    $path = 'images/';
  }


  foreach ($iterator as $entry) {
    $imagem = $entry->getFilename();

    if ($imagem != '.' and $imagem != '..' and $imagem != 'Thumbs.db' and is_dir($imagem) === false) {
      echo "<div style=\"width:33%;display:inline;float:left;height:175px;text-align:center;\"><img src=\"../" . $path . $imagem . "\" style=\"height:100px;margin:0 auto;float:none;border:solid 1px #999;\" border=\"0\"><br><a href=\"delete_imagem.php?img=" . $path . $imagem . "&tv=" . $_GET['tv'] . "\" onclick=\"return confirm('Deseja realmente deletar esta imagem?');\" ><img src=\"images/delete_imagem.png\" style=\"margin:3px;\"></a></div>";
    }
  }

  ?>
<? } ?>